package com.dcsoft.system.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 同步规则对象 sys_sync_rule
 *
 * @author nichun
 * @date 2024-01-11
 */
public class SysSyncRule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 规则Id */
    private Long id;

    /** 规则名称 */
    @Excel(name = "规则名称")
    private String name;

    /** 唯一标志 */
    @Excel(name = "唯一标志")
    private String guid;

    /** 全量部门地址 */
    @Excel(name = "全量部门地址")
    private String allDeptUrl;

    /** 增量部门地址 */
    @Excel(name = "增量部门地址")
    private String addDeptUrl;

    /** 全量人员地址 */
    @Excel(name = "全量人员地址")
    private String allPeopleUrl;

    /** 增量人员地址 */
    @Excel(name = "增量人员地址")
    private String addPeopleUrl;


    private String[] branchIds;

    private String branchId;

    public String getBranchId() {
        return branchId;
    }

    public void setBranchId(String branchId) {
        this.branchId = branchId;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setGuid(String guid)
    {
        this.guid = guid;
    }

    public String getGuid()
    {
        return guid;
    }
    public void setAllDeptUrl(String allDeptUrl)
    {
        this.allDeptUrl = allDeptUrl;
    }

    public String getAllDeptUrl()
    {
        return allDeptUrl;
    }
    public void setAddDeptUrl(String addDeptUrl)
    {
        this.addDeptUrl = addDeptUrl;
    }

    public String getAddDeptUrl()
    {
        return addDeptUrl;
    }
    public void setAllPeopleUrl(String allPeopleUrl)
    {
        this.allPeopleUrl = allPeopleUrl;
    }

    public String getAllPeopleUrl()
    {
        return allPeopleUrl;
    }
    public void setAddPeopleUrl(String addPeopleUrl)
    {
        this.addPeopleUrl = addPeopleUrl;
    }

    public String getAddPeopleUrl()
    {
        return addPeopleUrl;
    }


    public String[] getBranchIds() {
        return branchIds;
    }

    public void setBranchIds(String[] branchIds) {
        this.branchIds = branchIds;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("guid", getGuid())
            .append("allDeptUrl", getAllDeptUrl())
            .append("addDeptUrl", getAddDeptUrl())
            .append("allPeopleUrl", getAllPeopleUrl())
            .append("addPeopleUrl", getAddPeopleUrl())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
